Subject: Re: [bug#43442] Subversion keyword substitution

From: Simon Tournier <[email-masked]>
Date: Mon, 03 Apr 2023 14:05:14 +0200

Hi,

On lun., 27 mars 2023 at 11:04, Ludovic Courtès <[email-masked]> wrote:

>> It seems like there’s a direct conflict between ease of packaging and
>> ease of time travel.  In the hypothetical case that a keyword mattered,
>> it would be a nasty surprise to the package author.  They would have to
>> (a) discover the problem and (b) manually do the keyword substitution in
>> Scheme (or work around it).

That’s an application of the non-free lunch theorem, no? :-)

> My intuition is that the worst “problem” we might have is ‘--version’
> showing unexpanded keywords.

Somehow, I would prefer to pay the surprise by package author using
Subversion rather than not being fully reproducible over the time.

Cheers,
simon